## yorick-yao 4.2.3

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/lib/yorick
Y_EXE=/usr/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick
Y_EXE_SITE=/usr/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yao
PKG_I=yao_fast.i yao_utils.i

OBJS=aoSimulUtils.o utils.o yao_fast.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=-lfftw3f
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=yao.i aoutil.i newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

clean::
	-rm -rf binaries

install::
	@echo "passing here"
	mkdir -p $(DEST_Y_SITE)/python
	mkdir -p $(DEST_Y_SITE)/glade
	mkdir -p $(DEST_Y_SITE)/g
	mkdir -p $(DEST_Y_SITE)/gist
	mkdir -p $(DEST_Y_SITE)/share/yao
	mkdir -p $(DEST_Y_BINDIR)
#	mkdir -p /usr/local/man/man1
	cp -p yao.py $(DEST_Y_SITE)/python/
	cp -p yao.glade $(DEST_Y_SITE)/glade/
	cp -p aosimul3.gs $(DEST_Y_SITE)/g/
	cp -p letter.gs $(DEST_Y_SITE)/g/
	cp -p aosimul3.gs $(DEST_Y_SITE)/gist/
	cp -p letter.gs $(DEST_Y_SITE)/gist/
	cp -p yao $(DEST_Y_BINDIR)/
	cp -pr examples $(DEST_Y_SITE)/share/yao/
	cp -pr doc $(DEST_Y_SITE)/share/yao/
	-rm -rf $(DEST_Y_SITE)/share/yao/examples/CVS
	-rm -rf $(DEST_Y_SITE)/share/yao/doc/CVS
#	cp -p doc/yao.1.gz /usr/local/man/man1/

uninstall::
	-rm $(DEST_Y_BINDIR)/yao
	-rm $(DEST_Y_SITE)/g/aosimul3.gs
	-rm $(DEST_Y_SITE)/g/letter.gs
	-rm $(DEST_Y_SITE)/gist/aosimul3.gs
	-rm $(DEST_Y_SITE)/gist/letter.gs
	-rm $(DEST_Y_SITE)/python/yao.py
	-rm $(DEST_Y_SITE)/glade/yao.glade
	-rm -rf $(DEST_Y_SITE)/share/yao/
#	-rm -rf /usr/local/man/man1/yao.1.gz

# -------------------------------------------------------- end of Makefile


# for the binary package production (add full path to lib*.a below):
PKG_DEPLIBS_STATIC=-lm /usr/lib/libfftw3f.a
PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
# The above usually don't work. Edit manually and change the PKG_ARCH below:
# PKG_ARCH = linux-x86
PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

# packages or devel_pkgs:
PKG_DEST_URL = packages

package:
	$(MAKE)
	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/bin
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/g
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/gist
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/python
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/glade
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/share/yao/examples
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/share/yao/doc
	cp -p *.i binaries/$(PKG_NAME)/dist/y_site/i0/
	rm binaries/$(PKG_NAME)/dist/y_site/i0/check.i
	if test -n "$(PKG_I_START)"; then rm binaries/$(PKG_NAME)/dist/y_site/i0/$(PKG_I_START); fi
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cp -p *.i binaries/$(PKG_NAME)/dist/y_site/i0/.
	cp -p README binaries/$(PKG_NAME)/dist/y_site/share/yao/.
	cp -p INSTALL binaries/$(PKG_NAME)/dist/y_site/share/yao/.
	cp -p LICENSE binaries/$(PKG_NAME)/dist/y_site/share/yao/.
	cp -p yao binaries/$(PKG_NAME)/dist/y_home/bin/.
	cp -p yao.py binaries/$(PKG_NAME)/dist/y_site/python/.
	cp -p yao.glade binaries/$(PKG_NAME)/dist/y_site/glade/.
	cp -p *.gs binaries/$(PKG_NAME)/dist/y_site/g/.
	cp -p *.gs binaries/$(PKG_NAME)/dist/y_site/gist/.
	-cp -p examples/* binaries/$(PKG_NAME)/dist/y_site/share/yao/examples/.
	-cp -p doc/* binaries/$(PKG_NAME)/dist/y_site/share/yao/doc/.
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)

distbin: package
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean; rm -rf binaries
	cd ..; tar --exclude binaries --exclude CVS --exclude *.spec -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

## yorick-yao 4.2.6

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,8 @@
 	cp -pr doc $(DEST_Y_SITE)/share/yao/
 	-rm -rf $(DEST_Y_SITE)/share/yao/examples/CVS
 	-rm -rf $(DEST_Y_SITE)/share/yao/doc/CVS
-#	cp -p doc/yao.1.gz /usr/local/man/man1/
+#	gzip -9 doc/yao.1
+#	cp -p doc/yao.1 /usr/local/man/man1/
 
 uninstall::
 	-rm $(DEST_Y_BINDIR)/yao
@@ -102,7 +103,7 @@
 	-rm $(DEST_Y_SITE)/python/yao.py
 	-rm $(DEST_Y_SITE)/glade/yao.glade
 	-rm -rf $(DEST_Y_SITE)/share/yao/
-#	-rm -rf /usr/local/man/man1/yao.1.gz
+#	-rm -rf /usr/local/man/man1/yao.1
 
 # -------------------------------------------------------- end of Makefile

## yorick-yao 4.5.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/Users/frigaut/yorick-2.1
+Y_EXE=/Users/frigaut/yorick-2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/Users/frigaut/yorick-2.1
+Y_EXE_SITE=/Users/frigaut/yorick-2.1
 
 # ----------------------------------------------------- optimization flags
 
@@ -37,7 +37,7 @@
 # autoload file for this package, if any
 PKG_I_START=
 # non-pkg.i include files for this package, if any
-PKG_I_EXTRA=yao.i aoutil.i newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i
+PKG_I_EXTRA=yao.i aoutil.i yaokl.i newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -72,7 +72,6 @@
 	-rm -rf binaries
 
 install::
-	@echo "passing here"
 	mkdir -p $(DEST_Y_SITE)/python
 	mkdir -p $(DEST_Y_SITE)/glade
 	mkdir -p $(DEST_Y_SITE)/g
@@ -109,9 +108,9 @@
 
 
 # for the binary package production (add full path to lib*.a below):
-PKG_DEPLIBS_STATIC=-lm /usr/lib/libfftw3f.a
+PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libfftw3f.a
 PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
-# The above usually don't work. Edit manually and change the PKG_ARCH below:
+# The above usually don t work. Edit manually and change the PKG_ARCH below:
 # PKG_ARCH = linux-x86
 PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
 # .info might not exist, in which case he line above will exit in error.

## yorick-yao 4.5.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/Users/frigaut/yorick-2.1
-Y_EXE=/Users/frigaut/yorick-2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # ----------------------------------------------------- optimization flags
 
@@ -108,7 +108,7 @@
 
 
 # for the binary package production (add full path to lib*.a below):
-PKG_DEPLIBS_STATIC=-lm /usr/local/lib/libfftw3f.a
+PKG_DEPLIBS_STATIC=-lm /usr/lib/libfftw3f.a
 PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # The above usually don t work. Edit manually and change the PKG_ARCH below:
 # PKG_ARCH = linux-x86

=== debian/changelog ===
yorick-yao (4.5.1-1) unstable; urgency=low

  * New upstream release
  * Move to science section

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 23:07:28 +0200

yorick-yao (4.5.0-2) unstable; urgency=low

  * convert to "3.0 (quilt) format
  * remove "round" function, make sure long(round()) is used when needed.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:56:09 +0200

yorick-yao (4.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #556524).
  * Checked against policy 3.8.3
  * Include HTML and PDF documentation
  * Use quilt for patching doc

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 16 Nov 2009 17:02:22 +0100

yorick-yao (4.2.6-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.8.1
  * Added watch file

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 May 2009 17:42:35 +0200

yorick-yao (4.2.3-1) unstable; urgency=low

  * Initial release (closes: #460053).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 16 Jan 2008 18:25:42 +0100

=== debian/control ===
Source: yorick-yao
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
Standards-Version: 3.8.4
Homepage: http://www.maumae.net/yao/
DM-Upload-Allowed: yes

Package: yorick-yao
Architecture: any
Depends: yorick (>= 2.1.05), ${shlibs:Depends}, ${misc:Depends}, yorick-imutil (>= 0.5.3), yorick-yutils (>= 1.3.0), python-glade2, python
Description: a Yorick-based adaptive optics system simulator
 Yao is a monte-carlo simulation package for adaptive optics. It can
 be used stand-alone through a GTK-based integrated graphical user
 interface or as a Yorick language extension. Yao features:
   * Shack-Hartmann and Curvature WFS, on or off axis;
   * support for Stackarray (piezostack), curvature (bimorph), modal
     (zernike) and Tip-Tilt deformable mirrors. The altitude of
     conjugation is adjustable;
   * arbitrary number of WFSs and DMs, with the possibility of mixing
     types. It is therefore possible (and easy) to simulate single DM
     systems, as well as single non-zero conjugate, GLAO and MCAO
     systems;
   * support for Natural and Laser Guide Stars (or a mix), WFS with
     photon and read-out noise;
   * multi-layered atmospheric model with geometrical propagation
     only;
   * speed-optimized loop: critical routines have been coded in C.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

Makefile.deborig:
	dh_testdir
	cp -a Makefile Makefile.deborig

configure: configure-stamp
configure-stamp: Makefile.deborig
	dh_testdir
	yorick -batch make.i
	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

# package has to be configured for the upstream distclean target to work
clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) distclean
	[ ! -e Makefile.deborig ] || mv Makefile.deborig Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installyorick --no-make-install
	dh_installchangelogs 
	dh_installexamples
	dh_installmenu
	dh_install
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/yao-(.*)-src\.tgz

## yorick-yao 4.9.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -22,9 +22,16 @@
 PKG_EXENAME=yorick
 
 # PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
+# PKG_DEPLIBS=-lfftw3f_threads -lfftw3f -lpthread -lm
 PKG_DEPLIBS=-lfftw3f
+# on OSX, use the next command to link to the static version of imutil:
+# PKG_DEPLIBS=-L$(Y_EXE_HOME)/lib -limutil -L/path/to/fftw3_libs -lfftw3f
+
 # set compiler (or rarely loader) flags specific to this package
-PKG_CFLAGS=
+PKG_CFLAGS=-Wall
+# on OSX (or other platforms), you may need to add the path to the
+# fftw3 include files:
+# PKG_CFLAGS=-Wall -I/path/to/fftw3/include
 PKG_LDFLAGS=
 
 # list of additional package names you want in PKG_EXENAME
@@ -37,7 +44,7 @@
 # autoload file for this package, if any
 PKG_I_START=
 # non-pkg.i include files for this package, if any
-PKG_I_EXTRA=yao.i aoutil.i yaokl.i newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i
+PKG_I_EXTRA=yao.i aoutil.i yaokl.i yao_newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i yao_svipc.i yao_setnsync.i yaodh.i
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -74,6 +81,7 @@
 install::
 	mkdir -p $(DEST_Y_SITE)/python
 	mkdir -p $(DEST_Y_SITE)/glade
+	mkdir -p $(DEST_Y_SITE)/data
 	mkdir -p $(DEST_Y_SITE)/g
 	mkdir -p $(DEST_Y_SITE)/gist
 	mkdir -p $(DEST_Y_SITE)/share/yao
@@ -81,9 +89,10 @@
 #	mkdir -p /usr/local/man/man1
 	cp -p yao.py $(DEST_Y_SITE)/python/
 	cp -p yao.glade $(DEST_Y_SITE)/glade/
-	cp -p aosimul3.gs $(DEST_Y_SITE)/g/
+	cp -p besseljprimezeros200.fits $(DEST_Y_SITE)/data/
+	cp -p yao.gs $(DEST_Y_SITE)/g/
 	cp -p letter.gs $(DEST_Y_SITE)/g/
-	cp -p aosimul3.gs $(DEST_Y_SITE)/gist/
+	cp -p yao.gs $(DEST_Y_SITE)/gist/
 	cp -p letter.gs $(DEST_Y_SITE)/gist/
 	cp -p yao $(DEST_Y_BINDIR)/
 	cp -pr examples $(DEST_Y_SITE)/share/yao/
@@ -95,9 +104,9 @@
 
 uninstall::
 	-rm $(DEST_Y_BINDIR)/yao
-	-rm $(DEST_Y_SITE)/g/aosimul3.gs
+	-rm $(DEST_Y_SITE)/g/yao.gs
 	-rm $(DEST_Y_SITE)/g/letter.gs
-	-rm $(DEST_Y_SITE)/gist/aosimul3.gs
+	-rm $(DEST_Y_SITE)/gist/yao.gs
 	-rm $(DEST_Y_SITE)/gist/letter.gs
 	-rm $(DEST_Y_SITE)/python/yao.py
 	-rm $(DEST_Y_SITE)/glade/yao.glade
@@ -163,7 +172,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude CVS --exclude *.spec -zcvf \
+	cd ..; tar --exclude binaries --exclude CVS --exclude .svn --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz

=== debian/changelog ===
yorick-yao (4.9.1-2) unstable; urgency=low

  * Fortify (don't rely on Yorick to pass the right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 16:52:01 +0200

yorick-yao (4.9.1-1) unstable; urgency=low

  * New upstream release
  * Comply with Debian Science Policy
  * Configure by patching Makefile
  * Minimize rules

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 17:45:49 +0200

yorick-yao (4.9.0-1) unstable; urgency=low

  * New upstream release
  * Minor lintian-suggested fixes (bump standards version: 3.9.3)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 14:54:34 +0200

yorick-yao (4.8.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 31 Mar 2012 23:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: yorick-yao
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
-Standards-Version: 3.8.4
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
+Standards-Version: 3.9.3
 Homepage: http://www.maumae.net/yao/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yao.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yao.git
 DM-Upload-Allowed: yes
 
 Package: yorick-yao
 Architecture: any
 Depends: yorick (>= 2.1.05), ${shlibs:Depends}, ${misc:Depends}, yorick-imutil (>= 0.5.3), yorick-yutils (>= 1.3.0), python-glade2, python
-Description: a Yorick-based adaptive optics system simulator
+Description: Yorick-based adaptive optics system simulator
  Yao is a monte-carlo simulation package for adaptive optics. It can
  be used stand-alone through a GTK-based integrated graphical user
  interface or as a Yorick language extension. Yao features:

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick --no-make-install

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

# disable tests: they take too long, write in $HOME and display on screen.
# need some time to write reasonable, headless tests.
override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/frigaut/yao/tags .*/tarball/(\d[\d\.]+)

## yorick-yao 5.3.1

=== debian/changelog ===
yorick-yao (5.3.1-1) unstable; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.9.5 (no changes)
  * Update control file
  * Patch yao.py to refer explicitly to /usr/bin/python

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 19 Feb 2014 21:50:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05), libfftw3-dev, quilt
-Standards-Version: 3.9.3
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05), libfftw3-dev
+Standards-Version: 3.9.5
 Homepage: http://www.maumae.net/yao/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-yao.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-yao.git
-DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yao.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yao.git
 
 Package: yorick-yao
 Architecture: any

## yorick-yao 5.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.2
+Y_EXE=/usr/lib/yorick/2.2/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.2
+Y_EXE_SITE=/usr/share/yorick/2.2
+Y_HOME_PKG=
 
 # ----------------------------------------------------- optimization flags
 
@@ -44,7 +45,7 @@
 # autoload file for this package, if any
 PKG_I_START=
 # non-pkg.i include files for this package, if any
-PKG_I_EXTRA=yao.i aoutil.i yaokl.i yao_newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i yao_svipc.i yao_setnsync.i yaodh.i
+PKG_I_EXTRA=yao.i aoutil.i yaokl.i yao_newfits.i yao_util.i turbulence.i yao_gui.i yaopy.i yao_wfs.i yao_structures.i yao_dm.i yao_svipc.i yao_setnsync.i yaodh.i yao_disp.i yao_lgs.i
 
 # -------------------------------- standard targets and rules (in Makepkg)

=== debian/changelog ===
yorick-yao (5.4.0-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6
  * Move maintenance to debian-astro

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 11:24:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: yorick-yao
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05), libfftw3-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.maumae.net/yao/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/yorick-yao.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-yao.git
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/yorick-yao.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/yorick-yao.git
 
 Package: yorick-yao
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,10 @@
 	dh_installyorick --no-make-install
 
 override_dh_auto_clean:
-	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
+	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean
+
+override_dh_auto_configure: override_dh_auto_clean
+	/usr/lib/yorick/bin/yorick -batch make.i
 
 # disable tests: they take too long, write in $HOME and display on screen.
 # need some time to write reasonable, headless tests.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/yorick-yao-$1.tar.gz/ \
  https://github.com/frigaut/yao/tags .*/v?(\d[\d\.]+)\.tar\.gz
